<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns="http://www.w3.org/1999/xhtml"
        xmlns:h="http://java.sun.com/jsf/html"
        xmlns:f="http://java.sun.com/jsf/core"
        xmlns:ui="http://java.sun.com/jsf/facelets"
        xmlns:p="http://primefaces.org/ui">
        


<script>
function mostraEscondeHistoricos(paraEsconder, paraMostrar){

	$("#collapse").collapse()
}
</script>


	<div class="well">
	 	<h4>
	 		<h:outputText style="font-size: 17px!important;" styleClass="label label-warning" value="Hitórico de Gastos em  " />
	 		<h:inputText value="#{dashboardController.mesesDeAnalise}" styleClass="input-small" />
	 		<h:outputText style="font-size: 17px!important;" styleClass="label label-warning" value=" meses" />
	 	</h4>
	 	
	 	<div id="collapse" class="row-fluid " data-toggle="collapse" data-parent="#collapse">
	 		<div class="span12 well">
	 			<table class="table table-striped table-bordered table-condensed">
	 				<caption>
	 					<a href="javascript:void()" class="btn btn-info" data-target="collapse" onclick="mostraEscondeHistoricos('hitoricoSumarizado', 'historicoDetalhado');">Sumarizado</a>
	 				</caption>
	 				<thead>
	 					<tr>
	 						<th class="despezas">Total</th>
	 					</tr>
	 				</thead>
	 				<tbody>
	 					<tr>
	 						<td>
								<h:outputText value="#{dashboardController.totalGastos}" styleClass="despezas">
									<f:convertNumber type="currency" currencySymbol="R$" maxFractionDigits="2" minFractionDigits="2" />
								</h:outputText>
	 						</td>
	 					</tr>
	 				</tbody>
	 			</table>
	 		</div>
	 	</div>
	 	
	 	<div id="historicoDetalhado" class="row-fluid" style="display: none">
	 		<div class="span12 well" style="font-size: 11px !important">
	 			<table class="table table-striped table-bordered table-condensed">
	 				<caption><b class="label label-info" style="font-size: 16px!important;margin-bottom: 10px">Detalhado</b></caption>
	 				<thead>
	 					<tr>
	 						<th>Categoria</th>
	 						<th>Valor</th>
	 					</tr>
	 				</thead>
	 				<tbody>
	 					<ui:repeat var="g" value="#{dashboardController.gastos}">
	 						<tr>
	 							<td>
	 								#{g.categoria}
	 							</td>
	 							<td>
	 								<h:outputText value="#{g.valorMes}">
	 									<f:convertNumber type="currency" currencySymbol="R$" maxFractionDigits="2" minFractionDigits="2" />
	 								</h:outputText>
	 							</td>
	 						</tr>
	 					</ui:repeat>
	 				</tbody>
	 				<tfoot>
	 					<tr class="despezas">
	 						<th>Total</th>
	 						<td>
	 							<h:outputText value="#{dashboardController.totalGastos}">
	 								<f:convertNumber type="currency" currencySymbol="R$" maxFractionDigits="2" minFractionDigits="2" />
	 							</h:outputText>
	 						</td>
	 					</tr>
	 				</tfoot>
	 			</table>
	 		</div>
	 	</div>
	</div>

</ui:composition>